"use strict";

const unhideCss = require("../unhide-css");

module.exports = function (state) {
	const cssOnlyStream = require("../css-only-stream")(state);

	return function createSyntaxHideStream() {
		return cssOnlyStream((file) => {
			return {
				... file,
				source: unhideCss(file.source)
			};
		});
	};
};
